---
updatedAt: 2026-08-17T18:54:58.000Z
agentTools:
  projectIndex: https://developers.tabapay.com/llms.txt
---

# Retrieve Token

Retrieves a Token by `tokenID`.

**Request URL**
`GET /v2/clients/{ClientID}/tokens?tokenID={id}`

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "TabaPay APIs",
    "description": "TabaPay Resource and Service Operations",
    "version": "1.0.0",
    "license": {
      "name": "All rights reserved"
    }
  },
  "servers": [
    {
      "url": "https://{FQDN}:{PORT}",
      "description": "TabaPay APIs",
      "variables": {
        "FQDN": {
          "default": "FQDN",
          "description": "Contact [TabaPay Support](https://tabapay.zendesk.com/hc/en-us/requests/new) for the Fully Qualified Domain Name you should be using."
        },
        "PORT": {
          "default": "PORT",
          "description": "Ensure you have the capability to access the PORT TabaPay specifies in your credentials file."
        }
      }
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/v2/clients/{ClientID}/tokens?tokenID": {
      "get": {
        "tags": [
          "Tokens"
        ],
        "summary": "Retrieve Token",
        "description": "Retrieves a Token by `tokenID`.\n\n**Request URL**\n`GET /v2/clients/{ClientID}/tokens?tokenID={id}`",
        "operationId": "retrievetoken",
        "parameters": [
          {
            "$ref": "#/components/parameters/ClientID"
          },
          {
            "$ref": "#/components/parameters/tokenID"
          },
          {
            "$ref": "#/components/parameters/cryptogram"
          },
          {
            "$ref": "#/components/parameters/art"
          }
        ],
        "responses": {
          "200": {
            "description": "Token retrieved",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/retrieveTokenResponse"
                },
                "examples": {
                  "Network Token": {
                    "value": {
                      "SC": 200,
                      "EC": "0",
                      "tokenNumber": "4895370012345678912",
                      "expirationDate": "202710"
                    }
                  },
                  "Network Token and Cryptogram": {
                    "value": {
                      "SC": 200,
                      "EC": "0",
                      "tokenNumber": "4895370012345678912",
                      "expirationDate": "202710",
                      "cryptogram": "AgAAAAAABk4DWZ4C28y7RgABAAA="
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Token not found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/apiResponseSCECEM"
                }
              }
            }
          }
        }
      }
    }
  },
  "webhooks": {
    "ACH.Sent": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "ACH Sent",
        "description": "Sent when an ACH payment is sent.",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ACHSent"
              },
              "example": {
                "iso": "1234",
                "mid": "0001",
                "referenceID": "REF-ACH-1001",
                "amount": "25.00",
                "updatedStatus": "Sent",
                "code": "0"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "ACH.Return": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "ACH Return",
        "description": "Sent when an ACH payment is returned.",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ACHReturn"
              },
              "example": {
                "iso": "1234",
                "mid": "0001",
                "referenceID": "REF-ACH-1002",
                "amount": "25.00",
                "updatedStatus": "Return",
                "code": "R01"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "ACH.NOC": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "ACH NOC",
        "description": "Sent when an ACH Notification of Change (NOC) is received.",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ACHNOC"
              },
              "example": {
                "iso": "1234",
                "mid": "0001",
                "transactionID": "ACH-TXN-1003",
                "referenceID": "REF-ACH-1003",
                "amount": "25.00",
                "updatedStatus": "NOC",
                "code": "C01",
                "memo": "123456789"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "ACH.Rejected": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "ACH Rejected",
        "description": "Sent when an ACH payment is rejected.",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ACHRejected"
              },
              "example": {
                "iso": "1234",
                "mid": "0001",
                "referenceID": "REF-ACH-1004",
                "amount": "25.00",
                "updatedStatus": "Rejected",
                "code": "425"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "Verification.Created": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Verification Created",
        "description": "Sent when a KYB/KYC verification case is created by [Create Verification](https://developers.tabapay.com/reference/createverification).",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/VerificationCreated"
              },
              "example": {
                "verificationID": "VER-1001",
                "status": "Verification.Created"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "Verification.Pending": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Verification Pending",
        "description": "Sent when a KYB/KYC verification case status is changed to [Pending](/reference/retrieveverification#response-schemas).",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/VerificationPending"
              },
              "example": {
                "verificationID": "VER-1002",
                "status": "Verification.Pending",
                "inquiryLink": "https://inquiry.withpersona.com/verify?inquiry-id=inq_abc123",
                "inquiryExpiration": "2026-08-30T23:59:59Z"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "Verification.Completed": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Verification Completed",
        "description": "Sent when a KYB/KYC verification case is [completed](/reference/retrieveverification#response-schemas).",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/VerificationCompleted"
              },
              "example": {
                "verificationID": "VER-1003",
                "status": "Verification.Completed"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "Verification.Failed": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Verification Failed",
        "description": "Sent when a KYB/KYC verification case has failed and the user did not pass verification.",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/VerificationFailed"
              },
              "example": {
                "verificationID": "VER-1004",
                "status": "Verification.Failed"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "Verification.Error": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Verification Error",
        "description": "Sent when a KYB/KYC verification could not be completed due to an [error](/reference/retrieveverification#response-schemas).",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/VerificationError"
              },
              "example": {
                "verificationID": "VER-1005",
                "status": "Verification.Error"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "Chargeback.Open": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Chargeback Open",
        "description": "Sent when a chargeback is opened.",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ChargebackOpen"
              },
              "example": {
                "iso": "1234",
                "mid": "0001",
                "merchantReferenceId": "MREF-2001",
                "originalTransactionId": "OTX-2001",
                "exceptionId": "EX-2001",
                "exceptionType": "CHARGEBACK",
                "exceptionCode": "NETWORK_REASON_CODE",
                "exceptionDescription": "Chargeback opened",
                "exceptionDate": "2026-06-19",
                "actionStatus": "Open",
                "statusDate": "2026-06-19",
                "daysOpen": 0,
                "networkTransactionId": "ARN-2001",
                "originalCreationDate": "2026-06-01T00:00:00Z",
                "originalProcessedDate": "2026-06-02T00:00:00Z",
                "originalTransactionType": "Purchase",
                "exceptionSource": "Settlement",
                "exceptionDestination": "Network",
                "exceptionNetwork": "Visa",
                "last4": "1234",
                "originalSettledAmount": "100.00",
                "exceptionSettledAmount": "100.00",
                "tabapayFee": "1.00",
                "networkFee": "0.50",
                "interchange": "0.25",
                "memo": null,
                "cbId": "CB-2001",
                "networkId": "NW-2001",
                "par": null,
                "mac": null
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "Chargeback.DocumentationReceived": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Chargeback Documentation Received",
        "description": "Sent when chargeback documentation is received.",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ChargebackDocumentationReceived"
              },
              "example": {
                "iso": "1234",
                "mid": "0001",
                "merchantReferenceId": "MREF-2002",
                "originalTransactionId": "OTX-2002",
                "exceptionId": "EX-2002",
                "exceptionType": "CHARGEBACK",
                "exceptionCode": "NETWORK_REASON_CODE",
                "exceptionDescription": "Documentation received",
                "exceptionDate": "2026-06-19",
                "actionStatus": "Documentation Received",
                "statusDate": "2026-06-20",
                "daysOpen": 1,
                "networkTransactionId": "ARN-2002",
                "originalCreationDate": "2026-06-01T00:00:00Z",
                "originalProcessedDate": "2026-06-02T00:00:00Z",
                "originalTransactionType": "Purchase",
                "exceptionSource": "Settlement",
                "exceptionDestination": "Network",
                "exceptionNetwork": "MasterCard",
                "last4": "5678",
                "originalSettledAmount": "85.00",
                "exceptionSettledAmount": "85.00",
                "tabapayFee": "1.00",
                "networkFee": "0.50",
                "interchange": "0.25",
                "memo": "Evidence uploaded",
                "cbId": "CB-2002",
                "networkId": "NW-2002",
                "par": null,
                "mac": null
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "Chargeback.Representment": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Chargeback Representment",
        "description": "Sent when chargeback evidence is submitted to the network for issuer review.",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ChargebackRepresentment"
              },
              "example": {
                "iso": "1234",
                "mid": "0001",
                "merchantReferenceId": "MREF-2003",
                "originalTransactionId": "OTX-2003",
                "exceptionId": "EX-2003",
                "exceptionType": "REPRESENTMENT",
                "exceptionCode": "NETWORK_REASON_CODE",
                "exceptionDescription": "Representment submitted",
                "exceptionDate": "2026-06-19",
                "actionStatus": "Representment",
                "statusDate": "2026-06-21",
                "daysOpen": 3,
                "networkTransactionId": "ARN-2003",
                "originalCreationDate": "2026-06-01T00:00:00Z",
                "originalProcessedDate": "2026-06-02T00:00:00Z",
                "originalTransactionType": "Purchase",
                "exceptionSource": "Network",
                "exceptionDestination": "Settlement",
                "exceptionNetwork": "Discover",
                "last4": "8888",
                "originalSettledAmount": "50.00",
                "exceptionSettledAmount": "50.00",
                "tabapayFee": "1.00",
                "networkFee": "0.50",
                "interchange": "0.25",
                "memo": "Representment in progress",
                "cbId": "CB-2003",
                "networkId": "NW-2003",
                "par": "PAR-2003",
                "mac": null
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    },
    "Chargeback.Closed": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Chargeback Closed",
        "description": "Sent when a chargeback case is closed.",
        "parameters": [
          {
            "$ref": "#/components/parameters/WebhookIdempotencyKey"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ChargebackClosed"
              },
              "example": {
                "iso": "1234",
                "mid": "0001",
                "merchantReferenceId": "MREF-2004",
                "originalTransactionId": "OTX-2004",
                "exceptionId": "EX-2004",
                "exceptionType": "CHARGEBACK",
                "exceptionCode": "NETWORK_REASON_CODE",
                "exceptionDescription": "Chargeback case closed",
                "exceptionDate": "2026-06-19",
                "actionStatus": "Closed",
                "statusDate": "2026-06-25",
                "daysOpen": 0,
                "networkTransactionId": "ARN-2004",
                "originalCreationDate": "2026-06-01T00:00:00Z",
                "originalProcessedDate": "2026-06-02T00:00:00Z",
                "originalTransactionType": "Purchase",
                "exceptionSource": "Network",
                "exceptionDestination": "Settlement",
                "exceptionNetwork": "Visa",
                "last4": "4321",
                "originalSettledAmount": "40.00",
                "exceptionSettledAmount": "0.00",
                "tabapayFee": "1.00",
                "networkFee": "0.50",
                "interchange": "0.25",
                "memo": null,
                "cbId": "CB-2004",
                "networkId": "NW-2004",
                "par": null,
                "mac": null
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return 2xx to acknowledge receipt."
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "SC": {
        "type": "integer",
        "description": "[HTTP Status Code](https://developers.tabapay.com/reference/http-status-codes#/)"
      },
      "EC": {
        "type": "string",
        "description": "Internal Error Code. This is used to help TabaPay team members trace an error."
      },
      "EM": {
        "type": "string",
        "description": "Short description of the error if an error occurred."
      },
      "apiResponseSCECEM": {
        "type": "object",
        "properties": {
          "SC": {
            "$ref": "#/components/schemas/SC"
          },
          "EC": {
            "$ref": "#/components/schemas/EC"
          },
          "EM": {
            "$ref": "#/components/schemas/EM"
          }
        }
      },
      "retrieveTokenResponse": {
        "type": "object",
        "properties": {
          "SC": {
            "$ref": "#/components/schemas/SC"
          },
          "EC": {
            "$ref": "#/components/schemas/EC"
          },
          "EM": {
            "$ref": "#/components/schemas/EM"
          },
          "tokenNumber": {
            "type": "string",
            "description": "The raw network token number."
          },
          "expirationDate": {
            "type": "string",
            "description": "Expiration date, format **YYYYMM**."
          },
          "cryptogram": {
            "type": "string",
            "description": "Network cryptogram (base64). Returned only when `cryptogram=Y`."
          },
          "brandLogo": {
            "type": "string",
            "description": "Network Token (base64). Card brand logo image. Returned only when `art` is present."
          },
          "cardArt": {
            "type": "string",
            "description": "Card art image (base64). Returned only when `art` is present."
          }
        }
      },
      "ACHSent": {
        "type": "object",
        "required": [
          "iso",
          "mid",
          "referenceID",
          "amount",
          "updatedStatus",
          "code"
        ],
        "properties": {
          "iso": {
            "type": "string",
            "description": "4-digit TabaPay ISO identifier."
          },
          "mid": {
            "type": "string",
            "description": "Merchant ID."
          },
          "referenceID": {
            "type": "string",
            "description": "Merchant reference ID."
          },
          "amount": {
            "type": "string",
            "description": "Amount as a string."
          },
          "updatedStatus": {
            "type": "string",
            "description": "ACH status update.",
            "enum": [
              "Sent"
            ]
          },
          "code": {
            "type": "string",
            "description": "ACH code/status code."
          },
          "transactionID": {
            "type": "string",
            "description": "Transaction ID. Included if available."
          },
          "memo": {
            "type": "string",
            "description": "Memo. Included if available."
          }
        }
      },
      "ACHReturn": {
        "type": "object",
        "required": [
          "iso",
          "mid",
          "referenceID",
          "amount",
          "updatedStatus",
          "code"
        ],
        "properties": {
          "iso": {
            "type": "string",
            "description": "4-digit TabaPay ISO identifier."
          },
          "mid": {
            "type": "string",
            "description": "Merchant ID."
          },
          "referenceID": {
            "type": "string",
            "description": "Merchant reference ID."
          },
          "amount": {
            "type": "string",
            "description": "Amount as a string."
          },
          "updatedStatus": {
            "type": "string",
            "description": "ACH status update.",
            "enum": [
              "Return"
            ]
          },
          "code": {
            "type": "string",
            "description": "ACH code/status code."
          },
          "transactionID": {
            "type": "string",
            "description": "Transaction ID. Included if available."
          },
          "memo": {
            "type": "string",
            "description": "Memo. Included if available."
          }
        }
      },
      "ACHNOC": {
        "type": "object",
        "required": [
          "iso",
          "mid",
          "referenceID",
          "amount",
          "updatedStatus",
          "code"
        ],
        "properties": {
          "iso": {
            "type": "string",
            "description": "4-digit TabaPay ISO identifier."
          },
          "mid": {
            "type": "string",
            "description": "Merchant ID."
          },
          "referenceID": {
            "type": "string",
            "description": "Merchant reference ID."
          },
          "amount": {
            "type": "string",
            "description": "Amount as a string."
          },
          "updatedStatus": {
            "type": "string",
            "description": "ACH status update.",
            "enum": [
              "NOC"
            ]
          },
          "code": {
            "type": "string",
            "description": "ACH code/status code."
          },
          "transactionID": {
            "type": "string",
            "description": "Transaction ID. Included if available."
          },
          "memo": {
            "type": "string",
            "description": "Memo. Included if available."
          }
        }
      },
      "ACHRejected": {
        "type": "object",
        "required": [
          "iso",
          "mid",
          "referenceID",
          "amount",
          "updatedStatus",
          "code"
        ],
        "properties": {
          "iso": {
            "type": "string",
            "description": "4-digit TabaPay ISO identifier."
          },
          "mid": {
            "type": "string",
            "description": "Merchant ID."
          },
          "referenceID": {
            "type": "string",
            "description": "Merchant reference ID."
          },
          "amount": {
            "type": "string",
            "description": "Amount as a string."
          },
          "updatedStatus": {
            "type": "string",
            "description": "ACH status update.",
            "enum": [
              "Rejected"
            ]
          },
          "code": {
            "type": "string",
            "description": "ACH code/status code."
          },
          "transactionID": {
            "type": "string",
            "description": "Transaction ID. Included if available."
          },
          "memo": {
            "type": "string",
            "description": "Memo. Included if available."
          }
        }
      },
      "VerificationCreated": {
        "type": "object",
        "required": [
          "verificationID",
          "status"
        ],
        "properties": {
          "verificationID": {
            "type": "string",
            "description": "Verification identifier."
          },
          "status": {
            "type": "string",
            "description": "Verification event status.",
            "enum": [
              "Verification.Created"
            ]
          },
          "inquiryLink": {
            "type": "string",
            "format": "uri",
            "description": "Verification inquiry URL. When present, `inquiryExpiration` is required."
          },
          "inquiryExpiration": {
            "type": "string",
            "format": "date-time",
            "description": "Inquiry expiration timestamp in YYYY-MM-DDTHH:MM:SSZ format."
          }
        }
      },
      "VerificationPending": {
        "type": "object",
        "required": [
          "verificationID",
          "status"
        ],
        "properties": {
          "verificationID": {
            "type": "string",
            "description": "Verification identifier."
          },
          "status": {
            "type": "string",
            "description": "Verification event status.",
            "enum": [
              "Verification.Pending"
            ]
          },
          "inquiryLink": {
            "type": "string",
            "format": "uri",
            "description": "Verification inquiry URL. When present, `inquiryExpiration` is required."
          },
          "inquiryExpiration": {
            "type": "string",
            "format": "date-time",
            "description": "Inquiry expiration timestamp in YYYY-MM-DDTHH:MM:SSZ format."
          }
        }
      },
      "VerificationCompleted": {
        "type": "object",
        "required": [
          "verificationID",
          "status"
        ],
        "properties": {
          "verificationID": {
            "type": "string",
            "description": "Verification identifier."
          },
          "status": {
            "type": "string",
            "description": "Verification event status.",
            "enum": [
              "Verification.Completed"
            ]
          },
          "inquiryLink": {
            "type": "string",
            "format": "uri",
            "description": "Verification inquiry URL. When present, `inquiryExpiration` is required."
          },
          "inquiryExpiration": {
            "type": "string",
            "format": "date-time",
            "description": "Inquiry expiration timestamp in YYYY-MM-DDTHH:MM:SSZ format."
          }
        }
      },
      "VerificationFailed": {
        "type": "object",
        "required": [
          "verificationID",
          "status"
        ],
        "properties": {
          "verificationID": {
            "type": "string",
            "description": "Verification identifier."
          },
          "status": {
            "type": "string",
            "description": "Verification event status.",
            "enum": [
              "Verification.Failed"
            ]
          },
          "inquiryLink": {
            "type": "string",
            "format": "uri",
            "description": "Verification inquiry URL. When present, `inquiryExpiration` is required."
          },
          "inquiryExpiration": {
            "type": "string",
            "format": "date-time",
            "description": "Inquiry expiration timestamp in YYYY-MM-DDTHH:MM:SSZ format."
          }
        }
      },
      "VerificationError": {
        "type": "object",
        "required": [
          "verificationID",
          "status"
        ],
        "properties": {
          "verificationID": {
            "type": "string",
            "description": "Verification identifier."
          },
          "status": {
            "type": "string",
            "description": "Verification event status.",
            "enum": [
              "Verification.Error"
            ]
          },
          "inquiryLink": {
            "type": "string",
            "format": "uri",
            "description": "Verification inquiry URL. When present, `inquiryExpiration` is required."
          },
          "inquiryExpiration": {
            "type": "string",
            "format": "date-time",
            "description": "Inquiry expiration timestamp in YYYY-MM-DDTHH:MM:SSZ format."
          }
        }
      },
      "ChargebackOpen": {
        "type": "object",
        "required": [
          "iso",
          "mid",
          "merchantReferenceId",
          "originalTransactionId",
          "exceptionId",
          "exceptionType",
          "exceptionCode",
          "exceptionDescription",
          "exceptionDate",
          "actionStatus",
          "statusDate",
          "networkTransactionId",
          "originalCreationDate",
          "originalProcessedDate",
          "originalTransactionType",
          "exceptionSource",
          "exceptionDestination",
          "exceptionNetwork",
          "last4",
          "originalSettledAmount",
          "exceptionSettledAmount",
          "tabapayFee",
          "networkFee",
          "interchange",
          "cbId",
          "networkId"
        ],
        "properties": {
          "iso": {
            "type": "string",
            "description": "ISO."
          },
          "mid": {
            "type": "string",
            "description": "MID."
          },
          "merchantReferenceId": {
            "type": "string",
            "description": "Merchant Reference ID."
          },
          "originalTransactionId": {
            "type": "string",
            "description": "Original Transaction ID."
          },
          "exceptionId": {
            "type": "string",
            "description": "Exception ID."
          },
          "exceptionType": {
            "type": "string",
            "description": "Chargeback or representment classification."
          },
          "exceptionCode": {
            "type": "string",
            "description": "Network reason code."
          },
          "exceptionDescription": {
            "type": "string",
            "description": "Exception description."
          },
          "exceptionDate": {
            "type": "string",
            "description": "Exception posting date."
          },
          "actionStatus": {
            "type": "string",
            "description": "Chargeback lifecycle status, including Documentation Received."
          },
          "statusDate": {
            "type": "string",
            "description": "Most recent status date."
          },
          "networkTransactionId": {
            "type": "string",
            "description": "ARN or network transaction identifier."
          },
          "originalCreationDate": {
            "type": "string",
            "format": "date-time",
            "description": "Original transaction creation datetime."
          },
          "originalProcessedDate": {
            "type": "string",
            "format": "date-time",
            "description": "Original processed datetime."
          },
          "originalTransactionType": {
            "type": "string",
            "description": "Original transaction type."
          },
          "exceptionSource": {
            "type": "string",
            "description": "Exception source."
          },
          "exceptionDestination": {
            "type": "string",
            "description": "Exception destination."
          },
          "exceptionNetwork": {
            "type": "string",
            "description": "Card network."
          },
          "last4": {
            "type": "string",
            "description": "Last 4 card digits."
          },
          "originalSettledAmount": {
            "type": "string",
            "description": "Original settled amount."
          },
          "exceptionSettledAmount": {
            "type": "string",
            "description": "Chargeback/disputed amount."
          },
          "tabapayFee": {
            "type": "string",
            "description": "TabaPay fee."
          },
          "networkFee": {
            "type": "string",
            "description": "Network fee."
          },
          "interchange": {
            "type": "string",
            "description": "Interchange."
          },
          "cbId": {
            "type": "string",
            "description": "Card network case ID."
          },
          "networkId": {
            "type": "string",
            "description": "Network transaction ID field."
          },
          "daysOpen": {
            "type": "integer",
            "default": 0,
            "description": "Number of days the chargeback has been open. Defaults to `0` if omitted."
          },
          "memo": {
            "type": [
              "string",
              "null"
            ],
            "description": "Memo. Null when omitted."
          },
          "par": {
            "type": [
              "string",
              "null"
            ],
            "description": "Payment Account Reference. Null when omitted."
          },
          "mac": {
            "type": [
              "string",
              "null"
            ],
            "description": "Merchant Advice Code. Null when omitted."
          }
        }
      },
      "ChargebackDocumentationReceived": {
        "type": "object",
        "required": [
          "iso",
          "mid",
          "merchantReferenceId",
          "originalTransactionId",
          "exceptionId",
          "exceptionType",
          "exceptionCode",
          "exceptionDescription",
          "exceptionDate",
          "actionStatus",
          "statusDate",
          "networkTransactionId",
          "originalCreationDate",
          "originalProcessedDate",
          "originalTransactionType",
          "exceptionSource",
          "exceptionDestination",
          "exceptionNetwork",
          "last4",
          "originalSettledAmount",
          "exceptionSettledAmount",
          "tabapayFee",
          "networkFee",
          "interchange",
          "cbId",
          "networkId"
        ],
        "properties": {
          "iso": {
            "type": "string",
            "description": "ISO."
          },
          "mid": {
            "type": "string",
            "description": "MID."
          },
          "merchantReferenceId": {
            "type": "string",
            "description": "Merchant Reference ID."
          },
          "originalTransactionId": {
            "type": "string",
            "description": "Original Transaction ID."
          },
          "exceptionId": {
            "type": "string",
            "description": "Exception ID."
          },
          "exceptionType": {
            "type": "string",
            "description": "Chargeback or representment classification."
          },
          "exceptionCode": {
            "type": "string",
            "description": "Network reason code."
          },
          "exceptionDescription": {
            "type": "string",
            "description": "Exception description."
          },
          "exceptionDate": {
            "type": "string",
            "description": "Exception posting date."
          },
          "actionStatus": {
            "type": "string",
            "description": "Chargeback lifecycle status, including Documentation Received."
          },
          "statusDate": {
            "type": "string",
            "description": "Most recent status date."
          },
          "networkTransactionId": {
            "type": "string",
            "description": "ARN or network transaction identifier."
          },
          "originalCreationDate": {
            "type": "string",
            "format": "date-time",
            "description": "Original transaction creation datetime."
          },
          "originalProcessedDate": {
            "type": "string",
            "format": "date-time",
            "description": "Original processed datetime."
          },
          "originalTransactionType": {
            "type": "string",
            "description": "Original transaction type."
          },
          "exceptionSource": {
            "type": "string",
            "description": "Exception source."
          },
          "exceptionDestination": {
            "type": "string",
            "description": "Exception destination."
          },
          "exceptionNetwork": {
            "type": "string",
            "description": "Card network."
          },
          "last4": {
            "type": "string",
            "description": "Last 4 card digits."
          },
          "originalSettledAmount": {
            "type": "string",
            "description": "Original settled amount."
          },
          "exceptionSettledAmount": {
            "type": "string",
            "description": "Chargeback/disputed amount."
          },
          "tabapayFee": {
            "type": "string",
            "description": "TabaPay fee."
          },
          "networkFee": {
            "type": "string",
            "description": "Network fee."
          },
          "interchange": {
            "type": "string",
            "description": "Interchange."
          },
          "cbId": {
            "type": "string",
            "description": "Card network case ID."
          },
          "networkId": {
            "type": "string",
            "description": "Network transaction ID field."
          },
          "daysOpen": {
            "type": "integer",
            "default": 0,
            "description": "Number of days the chargeback has been open. Defaults to `0` if omitted."
          },
          "memo": {
            "type": [
              "string",
              "null"
            ],
            "description": "Memo. Null when omitted."
          },
          "par": {
            "type": [
              "string",
              "null"
            ],
            "description": "Payment Account Reference. Null when omitted."
          },
          "mac": {
            "type": [
              "string",
              "null"
            ],
            "description": "Merchant Advice Code. Null when omitted."
          }
        }
      },
      "ChargebackRepresentment": {
        "type": "object",
        "required": [
          "iso",
          "mid",
          "merchantReferenceId",
          "originalTransactionId",
          "exceptionId",
          "exceptionType",
          "exceptionCode",
          "exceptionDescription",
          "exceptionDate",
          "actionStatus",
          "statusDate",
          "networkTransactionId",
          "originalCreationDate",
          "originalProcessedDate",
          "originalTransactionType",
          "exceptionSource",
          "exceptionDestination",
          "exceptionNetwork",
          "last4",
          "originalSettledAmount",
          "exceptionSettledAmount",
          "tabapayFee",
          "networkFee",
          "interchange",
          "cbId",
          "networkId"
        ],
        "properties": {
          "iso": {
            "type": "string",
            "description": "ISO."
          },
          "mid": {
            "type": "string",
            "description": "MID."
          },
          "merchantReferenceId": {
            "type": "string",
            "description": "Merchant Reference ID."
          },
          "originalTransactionId": {
            "type": "string",
            "description": "Original Transaction ID."
          },
          "exceptionId": {
            "type": "string",
            "description": "Exception ID."
          },
          "exceptionType": {
            "type": "string",
            "description": "Chargeback or representment classification."
          },
          "exceptionCode": {
            "type": "string",
            "description": "Network reason code."
          },
          "exceptionDescription": {
            "type": "string",
            "description": "Exception description."
          },
          "exceptionDate": {
            "type": "string",
            "description": "Exception posting date."
          },
          "actionStatus": {
            "type": "string",
            "description": "Chargeback lifecycle status, including Documentation Received."
          },
          "statusDate": {
            "type": "string",
            "description": "Most recent status date."
          },
          "networkTransactionId": {
            "type": "string",
            "description": "ARN or network transaction identifier."
          },
          "originalCreationDate": {
            "type": "string",
            "format": "date-time",
            "description": "Original transaction creation datetime."
          },
          "originalProcessedDate": {
            "type": "string",
            "format": "date-time",
            "description": "Original processed datetime."
          },
          "originalTransactionType": {
            "type": "string",
            "description": "Original transaction type."
          },
          "exceptionSource": {
            "type": "string",
            "description": "Exception source."
          },
          "exceptionDestination": {
            "type": "string",
            "description": "Exception destination."
          },
          "exceptionNetwork": {
            "type": "string",
            "description": "Card network."
          },
          "last4": {
            "type": "string",
            "description": "Last 4 card digits."
          },
          "originalSettledAmount": {
            "type": "string",
            "description": "Original settled amount."
          },
          "exceptionSettledAmount": {
            "type": "string",
            "description": "Chargeback/disputed amount."
          },
          "tabapayFee": {
            "type": "string",
            "description": "TabaPay fee."
          },
          "networkFee": {
            "type": "string",
            "description": "Network fee."
          },
          "interchange": {
            "type": "string",
            "description": "Interchange."
          },
          "cbId": {
            "type": "string",
            "description": "Card network case ID."
          },
          "networkId": {
            "type": "string",
            "description": "Network transaction ID field."
          },
          "daysOpen": {
            "type": "integer",
            "default": 0,
            "description": "Number of days the chargeback has been open. Defaults to `0` if omitted."
          },
          "memo": {
            "type": [
              "string",
              "null"
            ],
            "description": "Memo. Null when omitted."
          },
          "par": {
            "type": [
              "string",
              "null"
            ],
            "description": "Payment Account Reference. Null when omitted."
          },
          "mac": {
            "type": [
              "string",
              "null"
            ],
            "description": "Merchant Advice Code. Null when omitted."
          }
        }
      },
      "ChargebackClosed": {
        "type": "object",
        "required": [
          "iso",
          "mid",
          "merchantReferenceId",
          "originalTransactionId",
          "exceptionId",
          "exceptionType",
          "exceptionCode",
          "exceptionDescription",
          "exceptionDate",
          "actionStatus",
          "statusDate",
          "networkTransactionId",
          "originalCreationDate",
          "originalProcessedDate",
          "originalTransactionType",
          "exceptionSource",
          "exceptionDestination",
          "exceptionNetwork",
          "last4",
          "originalSettledAmount",
          "exceptionSettledAmount",
          "tabapayFee",
          "networkFee",
          "interchange",
          "cbId",
          "networkId"
        ],
        "properties": {
          "iso": {
            "type": "string",
            "description": "ISO."
          },
          "mid": {
            "type": "string",
            "description": "MID."
          },
          "merchantReferenceId": {
            "type": "string",
            "description": "Merchant Reference ID."
          },
          "originalTransactionId": {
            "type": "string",
            "description": "Original Transaction ID."
          },
          "exceptionId": {
            "type": "string",
            "description": "Exception ID."
          },
          "exceptionType": {
            "type": "string",
            "description": "Chargeback or representment classification."
          },
          "exceptionCode": {
            "type": "string",
            "description": "Network reason code."
          },
          "exceptionDescription": {
            "type": "string",
            "description": "Exception description."
          },
          "exceptionDate": {
            "type": "string",
            "description": "Exception posting date."
          },
          "actionStatus": {
            "type": "string",
            "description": "Chargeback lifecycle status, including Documentation Received."
          },
          "statusDate": {
            "type": "string",
            "description": "Most recent status date."
          },
          "networkTransactionId": {
            "type": "string",
            "description": "ARN or network transaction identifier."
          },
          "originalCreationDate": {
            "type": "string",
            "format": "date-time",
            "description": "Original transaction creation datetime."
          },
          "originalProcessedDate": {
            "type": "string",
            "format": "date-time",
            "description": "Original processed datetime."
          },
          "originalTransactionType": {
            "type": "string",
            "description": "Original transaction type."
          },
          "exceptionSource": {
            "type": "string",
            "description": "Exception source."
          },
          "exceptionDestination": {
            "type": "string",
            "description": "Exception destination."
          },
          "exceptionNetwork": {
            "type": "string",
            "description": "Card network."
          },
          "last4": {
            "type": "string",
            "description": "Last 4 card digits."
          },
          "originalSettledAmount": {
            "type": "string",
            "description": "Original settled amount."
          },
          "exceptionSettledAmount": {
            "type": "string",
            "description": "Chargeback/disputed amount."
          },
          "tabapayFee": {
            "type": "string",
            "description": "TabaPay fee."
          },
          "networkFee": {
            "type": "string",
            "description": "Network fee."
          },
          "interchange": {
            "type": "string",
            "description": "Interchange."
          },
          "cbId": {
            "type": "string",
            "description": "Card network case ID."
          },
          "networkId": {
            "type": "string",
            "description": "Network transaction ID field."
          },
          "daysOpen": {
            "type": "integer",
            "default": 0,
            "description": "Number of days the chargeback has been open. Defaults to `0` if omitted."
          },
          "memo": {
            "type": [
              "string",
              "null"
            ],
            "description": "Memo. Null when omitted."
          },
          "par": {
            "type": [
              "string",
              "null"
            ],
            "description": "Payment Account Reference. Null when omitted."
          },
          "mac": {
            "type": [
              "string",
              "null"
            ],
            "description": "Merchant Advice Code. Null when omitted."
          }
        }
      }
    },
    "parameters": {
      "ClientID": {
        "name": "ClientID",
        "in": "path",
        "description": "22-character <<glossary:ClientID>>. Ask [TabaPay Support](https://tabapay.zendesk.com/hc/en-us/requests/new) if you need to specify a <<glossary:SubClientID>>.",
        "required": true,
        "style": "simple",
        "explode": false,
        "schema": {
          "type": "string"
        }
      },
      "art": {
        "name": "art",
        "in": "query",
        "description": "`art` returns `brandLogo` and `cardArt`.",
        "required": false,
        "allowEmptyValue": true,
        "schema": {
          "type": "string",
          "minLength": 0,
          "maxLength": 0
        }
      },
      "tokenID": {
        "name": "tokenID",
        "in": "query",
        "description": "ID of the token to retrieve.",
        "required": true,
        "schema": {
          "type": "string"
        }
      },
      "cryptogram": {
        "name": "cryptogram",
        "in": "query",
        "description": "`cryptogram` returns the `cryptogram` field.\n\nWhen using with the `?tokenID` query string, append `?tokenID={id}&cryptogram` to your URL.",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "WebhookIdempotencyKey": {
        "name": "Idempotency-Key",
        "in": "header",
        "description": "Webhook event idempotency key. Use this value to identify duplicate deliveries of the same webhook event.",
        "required": true,
        "schema": {
          "type": "string"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
```